Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.servlets.controls.analytics
Enum AnalyticEvent.AnalyticEventObject

    java.lang.Object
      java.lang.Enum<AnalyticEvent.AnalyticEventObject>
          com.bea.netuix.servlets.controls.analytics.AnalyticEvent.AnalyticEventObject

All Implemented Interfaces
  Serializable, Comparable<AnalyticEvent.AnalyticEventObject>

Enclosing interface:
  AnalyticEvent

    public static enum AnalyticEvent.AnalyticEventObject

extends Enum<AnalyticEvent.AnalyticEventObject>

The portal object type this event can be logged agains.

Enum Constant Summary
`DESKTOP`
`PAGE`
`PORTLET`

Method Summary
`static AnalyticEvent.AnalyticEventObject` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnalyticEvent.AnalyticEventObject[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DESKTOP

    public static final AnalyticEvent.AnalyticEventObject DESKTOP

### PAGE

    public static final AnalyticEvent.AnalyticEventObject PAGE

### PORTLET

    public static final AnalyticEvent.AnalyticEventObject PORTLET

Method Detail

### values

    public static final AnalyticEvent.AnalyticEventObject[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static AnalyticEvent.AnalyticEventObject valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved